Bug 89587 - gcc's rs6000 configuration unconditionally sets MULTIARCH_DIRNAME, even when multiarch is disabled
Summary: gcc's rs6000 configuration unconditionally sets MULTIARCH_DIRNAME, even when ...
Status: RESOLVED FIXED
Alias: None
Product: gcc
Classification: Unclassified
Component: target (show other bugs)
Version: 8.3.0
: P3 normal
Target Milestone: 7.5
Assignee: Jakub Jelinek
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-03-05 03:24 UTC by A. Wilcox (awilfox)
Modified: 2019-08-30 13:36 UTC (History)
1 user (show)

See Also:
Host: powerpc-linux-*
Target: powerpc-linux-*
Build:
Known to work:
Known to fail:
Last reconfirmed: 2019-03-05 00:00:00


Attachments
gcc9-pr89587.patch (379 bytes, patch)
2019-03-05 10:11 UTC, Jakub Jelinek
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description A. Wilcox (awilfox) 2019-03-05 03:24:50 UTC
Simple reproduce is to build GCC to target powerpc-*-linux-*; powerpc-unknown-linux-gnu and powerpc-foxkit-linux-musl both exhibit this behaviour.

The config/rs6000/t-linux file unconditionally sets MULTIARCH_DIRNAME, even when ./configure is passed --disable-multiarch.  This results in, for instance:

$ gcc -print-multiarch
powerpc-linux-musl

No other architecture's config file does this, other than powerpcspe, which is already deprecated.
Comment 1 Jakub Jelinek 2019-03-05 10:11:16 UTC
Created attachment 45893 [details]
gcc9-pr89587.patch

Untested fix.
Comment 2 Jakub Jelinek 2019-03-05 17:25:33 UTC
Author: jakub
Date: Tue Mar  5 17:25:01 2019
New Revision: 269396

URL: https://gcc.gnu.org/viewcvs?rev=269396&root=gcc&view=rev
Log:
	PR target/89587
	* config/rs6000/t-linux (MULTIARCH_DIRNAME): Set to non-empty only
	if_multiarch.

Modified:
    trunk/gcc/ChangeLog
    trunk/gcc/config/rs6000/t-linux
Comment 3 Jakub Jelinek 2019-03-05 17:34:47 UTC
Fixed on the trunk so far.
Comment 4 Jakub Jelinek 2019-04-30 20:37:43 UTC
Author: jakub
Date: Tue Apr 30 20:37:12 2019
New Revision: 270720

URL: https://gcc.gnu.org/viewcvs?rev=270720&root=gcc&view=rev
Log:
	Backported from mainline
	2019-03-05  Jakub Jelinek  <jakub@redhat.com>

	PR target/89587
	* config/rs6000/t-linux (MULTIARCH_DIRNAME): Set to non-empty only
	if_multiarch.

Modified:
    branches/gcc-8-branch/gcc/ChangeLog
    branches/gcc-8-branch/gcc/config/rs6000/t-linux
Comment 5 Jakub Jelinek 2019-05-01 07:10:38 UTC
Fixed for 8.4+ too.
Comment 6 Jakub Jelinek 2019-08-30 12:13:27 UTC
Author: jakub
Date: Fri Aug 30 12:12:56 2019
New Revision: 275123

URL: https://gcc.gnu.org/viewcvs?rev=275123&root=gcc&view=rev
Log:
	Backported from mainline
	2019-03-05  Jakub Jelinek  <jakub@redhat.com>

	PR target/89587
	* config/rs6000/t-linux (MULTIARCH_DIRNAME): Set to non-empty only
	if_multiarch.

Modified:
    branches/gcc-7-branch/gcc/ChangeLog
    branches/gcc-7-branch/gcc/config/rs6000/t-linux
Comment 7 Jakub Jelinek 2019-08-30 13:36:37 UTC
Fixed.